# enable_gtkdoc: toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

# install_demo: toggle if demo program should be installed
#	0 = no
#	1 = yes
%define install_demo	0

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%{?_without_demo: %{expand: %%define install_demo 0}}
%{?_with_demo: %{expand: %%define install_demo 1}}

%define req_gtk_version		2.0.3
%define req_libart_version	2.3.8
%define req_pango_version	1.0.1
%define req_libglade_version	2.3.0

%define api_version	2
%define lib_major	0
%define lib_name	%mklibname gnomecanvas %{api_version} %{lib_major}

Summary:	GnomeCanvas widget
Name:		libgnomecanvas
Version: 2.10.2
Release: 1mdk
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	bison
BuildRequires:	libgtk+2-devel >= %{req_gtk_version}
BuildRequires:	libart_lgpl-devel >= %{req_libart_version}
BuildRequires:	libpango-devel >= %{req_pango_version}
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc
%endif
%if %install_demo
Requires:	%{lib_name} = %{version}-%{release}
%endif

%description
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	libart_lgpl >= %{req_libart_version}
Requires:	libgtk+2 >= %{req_gtk_version}
Requires:	libpango >= %{req_pango_version}
Requires:	libglade2.0 >= %{req_libglade_version}

%description -n %{lib_name}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains the main canvas library.


%package -n %{lib_name}-devel
Summary:	Development libraries and include files for GnomeCanvas widget
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	libgtk+2-devel >= %{req_gtk_version}
Requires:	libart_lgpl-devel >= %{req_libart_version}

%description -n %{lib_name}-devel
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains static library and header files for %{name}.

%prep
%setup -q

%build

%configure2_5x \
%if %enable_gtkdoc
	--enable-gtk-doc
%else
	--enable-gtk-doc=no
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# install demo executable
%if %install_demo
( cd demos
  mkdir -p %{buildroot}%{_bindir}
  sh ../libtool --mode=install %{_bindir}/install canvas_demo %{buildroot}%{_bindir}/canvas_demo
)
%endif

%{find_lang} %{name}-2.0

# remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%if %install_demo
%files
%defattr(-,root,root)
%{_bindir}/canvas_demo
%endif

%files -n %{lib_name} -f %{name}-2.0.lang
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog NEWS README AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*

%changelog
* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- reenable libtoolize
- drop merged patch
- New release 2.10.2

* Tue May 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Patch0: fix crash from evolution (Mdk bug #16145)

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Wed Apr 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- New release 2.6.1.1

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Enforce libglade 2.3.x dependency

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- update file list

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.6-2mdk
- [Build]Requires: libart_lgpl

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Rebuild for new provides

* Tue Jun  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild for new provides

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-1mdk
- Release 2.1.0

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Sat Jun  8 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-4mdk
- fix descriptions

* Sat Jun  8 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-3mdk
- new descriptions (thanks to Yura Gusev)

* Sat Jun  8 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-2mdk
- BuildRequires

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.117.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- First official Mdk package (based on Abel Cheung work)

* Sun Mar 17 2002 Abel Cheung <maddog@linux.org.hk> 1.112.1-1mdk
- 1.112.1
- Not install demo by default

* Sun Jan 13 2002 Abel Cheung <maddog@linux.org.hk> 1.109.0-1mdk
- 1.109.0

* Tue Jan  8 2002 Abel Cheung <maddog@linux.org.hk> 1.108.0-1mdk
- 1.108.0
- Use makeinstall_std
- Add gtk-doc stuff

* Fri Dec  7 2001 Abel Cheung <maddog@linux.org.hk> 1.107.0-1mdk
- 1.107.0
- Move module to lib package
- Remove .la that are not inside $libdir from devel package
- No need to provides libgnomecanvas2_x{,-devel}
- Use configure2_5x to specify build,host,target
- Corrected/updated a few dependencies

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.105.0-3mdk
- libgnomecanvas2_0 Provides libgnomecanvas2

* Mon Nov 12 2001 Abel Cheung <maddog@linux.org.hk> 1.105.0-2mdk
- Provides virtual package libgnomecanvas2_x{,-devel}, to really
  buildconflicts itself in any circumstances
- Change %%make to make, parallel compile is not tested
- Move lang file to main package

* Fri Nov  2 2001 Abel Cheung <maddog@linux.org.hk> 1.105.0-1mdk
- 1.105.0
- Patch0: fixed upstream
- Split into more package
- Update {Build,}Requires

* Tue Oct 30 2001 Abel Cheung <maddog@linux.org.hk> 1.104.0-2mdk
- Rebuild for glib/gtk 1.3.10
- BuildConflicts itself, otherwise may generate faulty package
- Patch0: enable compiling with gtk+ 1.3.10

* Sun Oct  7 2001 Abel Cheung <maddog@linux.org.hk> 1.104.0-1mdk
- First Mandrake spec. (demo should fail to work)
